<?php
use Cake\Core\Configure;

$paginatorContainer = Configure::read('CakeHtmx.paginatorContainer', '#table-container');
$hxTarget = 'hx-target="' . $paginatorContainer . '" ';

return [
    'nextActive' => '<li class="next"><a rel="next" href="javascript:void(0);" hx-get="{{url}}" ' . $hxTarget . '>{{text}}</a></li>',
    'nextDisabled' => '<li class="next disabled"><a href="" onclick="return false;">{{text}}</a></li>',
    'prevActive' => '<li class="prev"><a rel="prev" href="javascript:void(0);" hx-get="{{url}}" ' . $hxTarget . '>{{text}}</a></li>',
    'prevDisabled' => '<li class="prev disabled"><a href="" onclick="return false;">{{text}}</a></li>',
    'counterRange' => '{{start}} - {{end}} of {{count}}',
    'counterPages' => '{{page}} of {{pages}}',
    'first' => '<li class="first"><a href="javascript:void(0);" hx-get="{{url}}" ' . $hxTarget . '>{{text}}</a></li>',
    'last' => '<li class="last"><a href="javascript:void(0);" hx-get="{{url}}" ' . $hxTarget . '>{{text}}</a></li>',
    'number' => '<li><a href="javascript:void(0);" hx-get="{{url}}" ' . $hxTarget . '>{{text}}</a></li>',
    'current' => '<li class="active"><a href="" onclick="return false;">{{text}}</a></li>',
    'ellipsis' => '<li class="ellipsis">&hellip;</li>',
    'sort' => '<a href="javascript:void(0);" hx-get="{{url}}" ' . $hxTarget . '>{{text}}</a>',
    'sortAsc' => '<a class="asc" href="javascript:void(0);" hx-get="{{url}}" ' . $hxTarget . '>{{text}}</a>',
    'sortDesc' => '<a class="desc" href="javascript:void(0);" hx-get="{{url}}" ' . $hxTarget . '>{{text}}</a>',
    'sortAscLocked' => '<a class="asc locked" href="javascript:void(0);" hx-get="{{url}}" ' . $hxTarget . '>{{text}}</a>',
    'sortDescLocked' => '<a class="desc locked" href="javascript:void(0);" hx-get="{{url}}" ' . $hxTarget . '>{{text}}</a>',
];
